# arch/avr32/include/arch/io.h File Reference

AVR32 I/O register accessors. More...

`#include <types.h>`

Include dependency graph for io.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
static uint8_t | mmio_read8 (const void *p)
| Read a byte from a memory-mapped register.
static uint16_t | mmio_read16 (const void *p)
| Read a halfword from a memory-mapped register.
static uint32_t | mmio_read32 (const void *p)
| Read a word from a memory-mapped register.
static void | mmio_write8 (void *p, uint8_t val)
| Write a byte to a memory-mapped register.
static void | mmio_write16 (void *p, uint16_t val)
| Write a halfword to a memory-mapped register.
static void | mmio_write32 (void *p, uint32_t val)
| Write a word to a memory-mapped register.

## Detailed Description

AVR32 I/O register accessors.

- Compiler: IAR EWAVR32 and GNU GCC for AVR32
- Supported devices: All AVR32 devices
- AppNote:

Author:
  Atmel Corporation: http://www.atmel.com
  Support and FAQ: http://support.atmel.no/

Definition in file io.h.

## Function Documentation

static uint16_t mmio_read16 | ( | const void * | p | ) | `[inline, static]`

Read a halfword from a memory-mapped register.

Parameters:

  | p | A virtual address.

Returns:
  The value at the virtual address specified by p.

Definition at line 63 of file io.h.

static uint32_t mmio_read32 | ( | const void * | p | ) | `[inline, static]`

Read a word from a memory-mapped register.

Parameters:

  | p | A virtual address.

Returns:
  The value at the virtual address specified by p.

Definition at line 74 of file io.h.

Referenced by get_irq_group_requests().

static uint8_t mmio_read8 | ( | const void * | p | ) | `[inline, static]`

Read a byte from a memory-mapped register.

Parameters:

  | p | A virtual address.

Returns:
  The value at the virtual address specified by p.

Definition at line 52 of file io.h.

static void mmio_write16 | ( | void * | p,
|  | uint16_t | val |
| ) |  |  | `[inline, static]`

Write a halfword to a memory-mapped register.

Parameters:

  | val | The value to write to the virtual address specified by p.
  | p | A virtual address.

Definition at line 98 of file io.h.

static void mmio_write32 | ( | void * | p,
|  | uint32_t | val |
| ) |  |  | `[inline, static]`

Write a word to a memory-mapped register.

Parameters:

  | val | The value to write to the virtual address specified by p.
  | p | A virtual address.

Definition at line 110 of file io.h.

static void mmio_write8 | ( | void * | p,
|  | uint8_t | val |
| ) |  |  | `[inline, static]`

Write a byte to a memory-mapped register.

Parameters:

  | val | The value to write to the virtual address specified by p.
  | p | A virtual address.

Definition at line 86 of file io.h.